GET /v1/me
#GET /v1/megetMe
This key, the account tier and limits, and the quota used this month
| Scope | account:read |
|---|---|
| Lowest tier | sandbox |
| Weight (units) | 1 |
| SDK | Python client.account.me ยท JavaScript cd.account.me |
Answer
data: { key: { id, prefix, label, scopes, expires_at }, account: { tier, tier_name, limits }, quota: { month, used, limit, remaining } }
Errors
400invalid_param, invalid_cursor401unauthorized: missing, unknown, revoked or expired key403insufficient_scope, tier_required404not_found, not_available, not_in_sandbox422window_too_large429rate_limited (per minute) or quota_exhausted (month; X-Quota-* headers, Retry-After = seconds to the next month); see Retry-After503api_disabled, overloaded
Example
curl "https://api.chartdeck.trade/v1/me" \
-H "Authorization: Bearer $CHARTDECK_API_KEY"from chartdeck import Client
client = Client() # reads CHARTDECK_API_KEY
r = client.account.me()
print(r.data, r.meta["attribution"])import { ChartDeck } from '@chartdeck/api';
const cd = new ChartDeck(); // reads CHARTDECK_API_KEY
const r = await cd.account.me();
console.log(r.data, r.meta.attribution);